Delete managed knowledge asset
curl --request DELETE \
--url https://api.example.com/api/core/knowledge_assets/{knowledge_asset_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/core/knowledge_assets/{knowledge_asset_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/core/knowledge_assets/{knowledge_asset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"label": {
"en": "<string>",
"de": "<string>",
"es": "<string>",
"fr": "<string>",
"it": "<string>",
"nl": "<string>",
"pl": "<string>",
"pt": "<string>",
"sv": "<string>"
},
"description": {
"en": "<string>",
"de": "<string>",
"es": "<string>",
"fr": "<string>",
"it": "<string>",
"nl": "<string>",
"pl": "<string>",
"pt": "<string>",
"sv": "<string>"
},
"knowledge_source_ids": [
"<string>"
],
"is_selected_by_default": true,
"deleted": false,
"category": "managed",
"rerank_top_n": 10,
"chunk_reranker_threshold": 0.05,
"icon_filename": "<string>",
"fallback_strategy_tool_ids": [
"<string>"
],
"load_page_assets": false,
"download_disabled": false,
"guided_search_field_ids": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}knowledge-assets
Delete managed knowledge asset
Delete a managed knowledge asset including all associated resources
DELETE
/
api
/
core
/
knowledge_assets
/
{knowledge_asset_id}
Delete managed knowledge asset
Authorizations
BearerAuthAuthorizationProvider
Bearer token authentication. Format: 'Bearer '
Path Parameters
Query Parameters
Response
Successful Response
Represents a managed knowledge asset that is managed by a system admin and visible to all users that have permission for at least one of the knowledge sources that it contains.
Pydantic model for a multilingual text.
Show child attributes
Show child attributes
Pydantic model for a multilingual text.
Show child attributes
Show child attributes
Knowledge Assets can be either personal or managed. Personal assets are created by users and are only visible to them. Managed assets are created by system admins or Genow and are visible to all users that have the necessary permissions.
Available options:
personal, managed, external Required range:
x <= 200Required range:
0 <= x <= 1Was this page helpful?

